* Program   : Cal2Jul()
* Version   : dBASE IV 1.1
* Author(s) : "UNKNOWN"
*             modified by Luis A. Castro to dBASE II
*             modified by "You Know Who" to dBASE IV
* Date      : 1/12/83, 10/27/83, 11/20/83, 01/02/84, 11/01/91
* Note      : Converts from calendar to Julian date
*
*      name      typ len    description
*     ---------- --- ---  --------------------
*     calendar    C   8   calendar date
*     Julian      N   5   Julian date
*

FUNCTION cal2jul
PARAMETER calendar

SET TALK OFF

IF calendar={}
   RETURN 0
ENDIF

* -- Convert from calendar to Julian
m_month = MONTH(calendar)
m_day = DAY(calendar)
m_year = YEAR(calendar)-1900

* ---What is 395.25???
julian = INT( 30.57 * m_month ) + INT( 365.25 * m_year - 395.25 ) + m_day

* ---Adjust the Julian date if leap year.
IF m_month > 2
   IF INT( m_year / 4 ) = m_year / 4
      julian = julian - 1
   ELSE
      julian = julian - 2
   ENDIF
ENDIF

SET TALK ON

RETURN julian
